Search documentation of stdlib

# shell_default (stdlib v6.2.2.2)

View Source

Customizing the Erlang environment.

The functions in this module are called when no module name is specified in a shell command.

Consider the following shell dialog:

    1> lists:reverse("abc").
    "cba"
    2> c(foo).
    {ok, foo}

In command one, module `lists` is called. In command two, no module name is specified. The shell searches module `user_default` followed by module `shell_default` for function `c/1`.

`shell_default` is intended for "system wide" customizations to the shell. `user_default` is intended for "local" or individual user customizations.

## Hint

To add your own commands to the shell, create a module called `user_default` and add the commands you want. Then add the following line as the first line in your `.erlang` file in your home directory.

    code:load_abs("$PATH/user_default").

`$PATH` is the directory where your `user_default` module can be found.

# Summary

## Functions

help()

Print the help for all shell internal commands.

# Functions

# help()

    -spec help() -> true.

Print the help for all shell internal commands.